Changeset 1933 for trunk/Cbc/configure


Ignore:
Timestamp:
Jun 27, 2013 3:28:48 PM (6 years ago)
Author:
tkr
Message:

Change to allow embedding of manifest

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/configure

    r1899 r1933  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10871087                          icl/link). Default when mentioned: mingw. Default
    10881088                          when not mentioned: disabled.
     1089
    10891090  --enable-static[=PKGS]
    10901091                          build static libraries [default=no]
     
    17691770
    17701771
     1772
    17711773cat >>confdefs.h <<_ACEOF
    17721774#define CBC_VERSION "$PACKAGE_VERSION"
     
    18541856
    18551857
    1856 # Capture libtool library version, if given.
     1858 # Capture libtool library version, if given.
     1859
    18571860
    18581861
     
    19992002echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    20002003  fi
     2004
     2005
     2006# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     2007if test "${enable_static_standardlibs+set}" = set; then
     2008  enableval="$enable_static_standardlibs"
     2009  case "$enableval" in
     2010     no | yes | auto ) ;;
     2011     *)
     2012       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     2013echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     2014   { (exit 1); exit 1; }; } ;;
     2015   esac
     2016   use_static_standardlibs=$enableval
     2017else
     2018  use_static_standardlibs=no
     2019fi;
     2020
    20012021
    20022022
     
    29532973          clang* ) ;;
    29542974          cl* | */cl* | CL* | */CL*)
    2955             coin_opt_cflags='-MT -O2'
     2975            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2976              coin_opt_cflags='-MD -O2'
     2977              coin_dbg_cflags='-MDd'
     2978            else
     2979              coin_opt_cflags='-MT -O2'
     2980              coin_dbg_cflags='-MTd'
     2981            fi
    29562982            coin_add_cflags='-nologo -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    2957             coin_dbg_cflags='-MTd'
    29582983            ;;
    29592984          icl* | */icl* | ICL* | */ICL*)
    2960             coin_opt_cflags='-MT -Ox'
     2985            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2986              coin_opt_cflags='-MD -Ox'
     2987              coin_dbg_cflags='-MDd -debug'
     2988            else
     2989              coin_opt_cflags='-MT -Ox'
     2990              coin_dbg_cflags='-MTd -debug'
     2991            fi
    29612992            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
    2962             coin_dbg_cflags='-MTd -debug'
    29632993            ;;
    29642994        esac
     
    31253155    CFLAGS="$OPT_CFLAGS"
    31263156  fi
     3157
    31273158else
    31283159  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32933324esac
    32943325
     3326# check whether to add flags for static linking against standard libraries to LDFLAGS
     3327if test x$use_static_standardlibs != xno ; then
     3328  case $build in
     3329    *-mingw*)
     3330      static_standardlib_flag=-static
     3331      ;;
     3332    *)
     3333      static_standardlib_flag=-static-libgcc
     3334      ;;
     3335  esac
     3336  case " $LDFLAGS " in
     3337    *" $static_standardlib_flag "* ) ;;
     3338    *)
     3339    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3340echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3341    coin_save_LDFLAGS="$LDFLAGS"
     3342    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3343    cat >conftest.$ac_ext <<_ACEOF
     3344/* confdefs.h.  */
     3345_ACEOF
     3346cat confdefs.h >>conftest.$ac_ext
     3347cat >>conftest.$ac_ext <<_ACEOF
     3348/* end confdefs.h.  */
     3349
     3350int
     3351main ()
     3352{
     3353int i=0;
     3354  ;
     3355  return 0;
     3356}
     3357_ACEOF
     3358rm -f conftest.$ac_objext conftest$ac_exeext
     3359if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3360  (eval $ac_link) 2>conftest.er1
     3361  ac_status=$?
     3362  grep -v '^ *+' conftest.er1 >conftest.err
     3363  rm -f conftest.er1
     3364  cat conftest.err >&5
     3365  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3366  (exit $ac_status); } &&
     3367         { ac_try='test -z "$ac_c_werror_flag"
     3368                         || test ! -s conftest.err'
     3369  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3370  (eval $ac_try) 2>&5
     3371  ac_status=$?
     3372  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3373  (exit $ac_status); }; } &&
     3374         { ac_try='test -s conftest$ac_exeext'
     3375  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3376  (eval $ac_try) 2>&5
     3377  ac_status=$?
     3378  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3379  (exit $ac_status); }; }; then
     3380  echo "$as_me:$LINENO: result: yes" >&5
     3381echo "${ECHO_T}yes" >&6
     3382else
     3383  echo "$as_me: failed program was:" >&5
     3384sed 's/^/| /' conftest.$ac_ext >&5
     3385
     3386echo "$as_me:$LINENO: result: no" >&5
     3387echo "${ECHO_T}no" >&6
     3388       LDFLAGS="$coin_save_LDFLAGS"
     3389       if test $use_static_standardlibs = yes ; then
     3390         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3391echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3392   { (exit 1); exit 1; }; }
     3393       fi
     3394
     3395fi
     3396rm -f conftest.err conftest.$ac_objext \
     3397      conftest$ac_exeext conftest.$ac_ext
     3398    ;;
     3399  esac
     3400fi
     3401
    32953402ac_ext=c
    32963403ac_cpp='$CPP $CPPFLAGS'
     
    33023409
    33033410 #Let's try if that overcomes configuration problem with VC++ 6.0
     3411
    33043412
    33053413ac_ext=cc
     
    38934001          clang* ) ;;
    38944002          cl* | */cl* | CL* | */CL*)
    3895             # The MT and MTd options are mutually exclusive
    3896             coin_opt_cxxflags='-MT -O2'
     4003            # The MT and MTd options are mutually exclusive
     4004            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     4005               coin_opt_cxxflags='-MD -O2'
     4006               coin_dbg_cxxflags='-MDd'
     4007            else
     4008               coin_opt_cxxflags='-MT -O2'
     4009               coin_dbg_cxxflags='-MTd'
     4010            fi
    38974011            coin_add_cxxflags='-nologo -EHsc -GR -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    3898             coin_dbg_cxxflags='-MTd'
    38994012            ;;
    39004013          icl* | */icl* | ICL* | */ICL*)
    3901             # The MT and MTd options are mutually exclusive
    3902             coin_opt_cxxflags='-MT -Ox'
     4014          # The MT and MTd options are mutually exclusive
     4015            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     4016              coin_opt_cxxflags='-MD -Ox'
     4017              coin_dbg_cxxflags='-MDd -debug'
     4018            else
     4019              coin_opt_cxxflags='-MT -Ox'
     4020              coin_dbg_cxxflags='-MTd -debug'
     4021            fi
    39034022            coin_add_cxxflags='-nologo -EHsc -GR -D_CRT_SECURE_NO_DEPRECATE'
    3904             coin_dbg_cxxflags='-MTd -debug'
    39054023            ;;
    39064024        esac
     
    42414359esac
    42424360
     4361# check whether to add flag for static linking against standard libraries to LDFLAGS
     4362if test x$use_static_standardlibs != xno ; then
     4363  case $build in
     4364    *-mingw*)
     4365      static_standardlib_flag=-static
     4366      ;;
     4367    *)
     4368      static_standardlib_flag=-static-libstdc++
     4369      ;;
     4370  esac
     4371  case " $LDFLAGS " in
     4372    *" $static_standardlib_flag "* ) ;;
     4373    *)
     4374    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4375echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4376    coin_save_LDFLAGS="$LDFLAGS"
     4377    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4378    cat >conftest.$ac_ext <<_ACEOF
     4379/* confdefs.h.  */
     4380_ACEOF
     4381cat confdefs.h >>conftest.$ac_ext
     4382cat >>conftest.$ac_ext <<_ACEOF
     4383/* end confdefs.h.  */
     4384
     4385int
     4386main ()
     4387{
     4388int i=0;
     4389  ;
     4390  return 0;
     4391}
     4392_ACEOF
     4393rm -f conftest.$ac_objext conftest$ac_exeext
     4394if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4395  (eval $ac_link) 2>conftest.er1
     4396  ac_status=$?
     4397  grep -v '^ *+' conftest.er1 >conftest.err
     4398  rm -f conftest.er1
     4399  cat conftest.err >&5
     4400  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4401  (exit $ac_status); } &&
     4402         { ac_try='test -z "$ac_cxx_werror_flag"
     4403                         || test ! -s conftest.err'
     4404  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4405  (eval $ac_try) 2>&5
     4406  ac_status=$?
     4407  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4408  (exit $ac_status); }; } &&
     4409         { ac_try='test -s conftest$ac_exeext'
     4410  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4411  (eval $ac_try) 2>&5
     4412  ac_status=$?
     4413  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4414  (exit $ac_status); }; }; then
     4415  echo "$as_me:$LINENO: result: yes" >&5
     4416echo "${ECHO_T}yes" >&6
     4417else
     4418  echo "$as_me: failed program was:" >&5
     4419sed 's/^/| /' conftest.$ac_ext >&5
     4420
     4421echo "$as_me:$LINENO: result: no" >&5
     4422echo "${ECHO_T}no" >&6
     4423       LDFLAGS="$coin_save_LDFLAGS"
     4424       if test $use_static_standardlibs = yes ; then
     4425         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4426echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4427   { (exit 1); exit 1; }; }
     4428       fi
     4429
     4430fi
     4431rm -f conftest.err conftest.$ac_objext \
     4432      conftest$ac_exeext conftest.$ac_ext
     4433    ;;
     4434  esac
     4435fi
     4436
    42434437ac_ext=c
    42444438ac_cpp='$CPP $CPPFLAGS'
     
    42564450# START
    42574451
     4452coin_disable_shared=no
    42584453# Test if force_shared has been set
    42594454if test "x" = xforce_shared; then
     
    42914486    { echo "$as_me:$LINENO: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&5
    42924487echo "$as_me: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&2;}
     4488  else
     4489    # we don't disable shared, because it was not selected anyway
     4490    coin_disable_shared=no
    42934491  fi
    42944492  enable_shared=no
     
    59976195*-*-irix6*)
    59986196  # Find out which ABI we are using.
    5999   echo '#line 5999 "configure"' > conftest.$ac_ext
     6197  echo '#line 6197 "configure"' > conftest.$ac_ext
    60006198  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60016199  (eval $ac_compile) 2>&5
     
    71317329
    71327330# Provide some information about the compiler.
    7133 echo "$as_me:7133:" \
     7331echo "$as_me:7331:" \
    71347332     "checking for Fortran 77 compiler version" >&5
    71357333ac_compiler=`set X $ac_compile; echo $2`
     
    81988396   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81998397   -e 's:$: $lt_compiler_flag:'`
    8200    (eval echo "\"\$as_me:8200: $lt_compile\"" >&5)
     8398   (eval echo "\"\$as_me:8398: $lt_compile\"" >&5)
    82018399   (eval "$lt_compile" 2>conftest.err)
    82028400   ac_status=$?
    82038401   cat conftest.err >&5
    8204    echo "$as_me:8204: \$? = $ac_status" >&5
     8402   echo "$as_me:8402: \$? = $ac_status" >&5
    82058403   if (exit $ac_status) && test -s "$ac_outfile"; then
    82068404     # The compiler can only warn and ignore the option if not recognized
     
    84668664   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84678665   -e 's:$: $lt_compiler_flag:'`
    8468    (eval echo "\"\$as_me:8468: $lt_compile\"" >&5)
     8666   (eval echo "\"\$as_me:8666: $lt_compile\"" >&5)
    84698667   (eval "$lt_compile" 2>conftest.err)
    84708668   ac_status=$?
    84718669   cat conftest.err >&5
    8472    echo "$as_me:8472: \$? = $ac_status" >&5
     8670   echo "$as_me:8670: \$? = $ac_status" >&5
    84738671   if (exit $ac_status) && test -s "$ac_outfile"; then
    84748672     # The compiler can only warn and ignore the option if not recognized
     
    85708768   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85718769   -e 's:$: $lt_compiler_flag:'`
    8572    (eval echo "\"\$as_me:8572: $lt_compile\"" >&5)
     8770   (eval echo "\"\$as_me:8770: $lt_compile\"" >&5)
    85738771   (eval "$lt_compile" 2>out/conftest.err)
    85748772   ac_status=$?
    85758773   cat out/conftest.err >&5
    8576    echo "$as_me:8576: \$? = $ac_status" >&5
     8774   echo "$as_me:8774: \$? = $ac_status" >&5
    85778775   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85788776   then
     
    1091511113  lt_status=$lt_dlunknown
    1091611114  cat > conftest.$ac_ext <<EOF
    10917 #line 10917 "configure"
     11115#line 11115 "configure"
    1091811116#include "confdefs.h"
    1091911117
     
    1101511213  lt_status=$lt_dlunknown
    1101611214  cat > conftest.$ac_ext <<EOF
    11017 #line 11017 "configure"
     11215#line 11215 "configure"
    1101811216#include "confdefs.h"
    1101911217
     
    1335913557   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1336013558   -e 's:$: $lt_compiler_flag:'`
    13361    (eval echo "\"\$as_me:13361: $lt_compile\"" >&5)
     13559   (eval echo "\"\$as_me:13559: $lt_compile\"" >&5)
    1336213560   (eval "$lt_compile" 2>conftest.err)
    1336313561   ac_status=$?
    1336413562   cat conftest.err >&5
    13365    echo "$as_me:13365: \$? = $ac_status" >&5
     13563   echo "$as_me:13563: \$? = $ac_status" >&5
    1336613564   if (exit $ac_status) && test -s "$ac_outfile"; then
    1336713565     # The compiler can only warn and ignore the option if not recognized
     
    1346313661   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1346413662   -e 's:$: $lt_compiler_flag:'`
    13465    (eval echo "\"\$as_me:13465: $lt_compile\"" >&5)
     13663   (eval echo "\"\$as_me:13663: $lt_compile\"" >&5)
    1346613664   (eval "$lt_compile" 2>out/conftest.err)
    1346713665   ac_status=$?
    1346813666   cat out/conftest.err >&5
    13469    echo "$as_me:13469: \$? = $ac_status" >&5
     13667   echo "$as_me:13667: \$? = $ac_status" >&5
    1347013668   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1347113669   then
     
    1503315231   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1503415232   -e 's:$: $lt_compiler_flag:'`
    15035    (eval echo "\"\$as_me:15035: $lt_compile\"" >&5)
     15233   (eval echo "\"\$as_me:15233: $lt_compile\"" >&5)
    1503615234   (eval "$lt_compile" 2>conftest.err)
    1503715235   ac_status=$?
    1503815236   cat conftest.err >&5
    15039    echo "$as_me:15039: \$? = $ac_status" >&5
     15237   echo "$as_me:15237: \$? = $ac_status" >&5
    1504015238   if (exit $ac_status) && test -s "$ac_outfile"; then
    1504115239     # The compiler can only warn and ignore the option if not recognized
     
    1513715335   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1513815336   -e 's:$: $lt_compiler_flag:'`
    15139    (eval echo "\"\$as_me:15139: $lt_compile\"" >&5)
     15337   (eval echo "\"\$as_me:15337: $lt_compile\"" >&5)
    1514015338   (eval "$lt_compile" 2>out/conftest.err)
    1514115339   ac_status=$?
    1514215340   cat out/conftest.err >&5
    15143    echo "$as_me:15143: \$? = $ac_status" >&5
     15341   echo "$as_me:15341: \$? = $ac_status" >&5
    1514415342   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1514515343   then
     
    1734417542   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1734517543   -e 's:$: $lt_compiler_flag:'`
    17346    (eval echo "\"\$as_me:17346: $lt_compile\"" >&5)
     17544   (eval echo "\"\$as_me:17544: $lt_compile\"" >&5)
    1734717545   (eval "$lt_compile" 2>conftest.err)
    1734817546   ac_status=$?
    1734917547   cat conftest.err >&5
    17350    echo "$as_me:17350: \$? = $ac_status" >&5
     17548   echo "$as_me:17548: \$? = $ac_status" >&5
    1735117549   if (exit $ac_status) && test -s "$ac_outfile"; then
    1735217550     # The compiler can only warn and ignore the option if not recognized
     
    1761217810   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1761317811   -e 's:$: $lt_compiler_flag:'`
    17614    (eval echo "\"\$as_me:17614: $lt_compile\"" >&5)
     17812   (eval echo "\"\$as_me:17812: $lt_compile\"" >&5)
    1761517813   (eval "$lt_compile" 2>conftest.err)
    1761617814   ac_status=$?
    1761717815   cat conftest.err >&5
    17618    echo "$as_me:17618: \$? = $ac_status" >&5
     17816   echo "$as_me:17816: \$? = $ac_status" >&5
    1761917817   if (exit $ac_status) && test -s "$ac_outfile"; then
    1762017818     # The compiler can only warn and ignore the option if not recognized
     
    1771617914   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1771717915   -e 's:$: $lt_compiler_flag:'`
    17718    (eval echo "\"\$as_me:17718: $lt_compile\"" >&5)
     17916   (eval echo "\"\$as_me:17916: $lt_compile\"" >&5)
    1771917917   (eval "$lt_compile" 2>out/conftest.err)
    1772017918   ac_status=$?
    1772117919   cat out/conftest.err >&5
    17722    echo "$as_me:17722: \$? = $ac_status" >&5
     17920   echo "$as_me:17920: \$? = $ac_status" >&5
    1772317921   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1772417922   then
     
    2063520833  use_pkgconfig="$enableval"
    2063620834else
    20637   use_pkgconfig=yes
     20835  if test x$coin_cc_is_cl = xtrue; then
     20836     use_pkgconfig=no
     20837   else
     20838     use_pkgconfig=yes
     20839   fi
    2063820840fi;
    2063920841
     
    2064520847echo "$as_me:$LINENO: checking for $ac_word" >&5
    2064620848echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    20647 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
     20849if test "${ac_cv_prog_PKG_CONFIG+set}" = set; then
    2064820850  echo $ECHO_N "(cached) $ECHO_C" >&6
    2064920851else
    20650   case $PKG_CONFIG in
    20651   [\\/]* | ?:[\\/]*)
    20652   ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
    20653   ;;
    20654   *)
    20655   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     20852  if test -n "$PKG_CONFIG"; then
     20853  ac_cv_prog_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test.
     20854else
     20855as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    2065620856for as_dir in $PATH
    2065720857do
     
    2066020860  for ac_exec_ext in '' $ac_executable_extensions; do
    2066120861  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    20662     ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     20862    ac_cv_prog_PKG_CONFIG="${ac_tool_prefix}pkg-config"
    2066320863    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    2066420864    break 2
     
    2066720867done
    2066820868
    20669   ;;
    20670 esac
    20671 fi
    20672 PKG_CONFIG=$ac_cv_path_PKG_CONFIG
    20673 
     20869fi
     20870fi
     20871PKG_CONFIG=$ac_cv_prog_PKG_CONFIG
    2067420872if test -n "$PKG_CONFIG"; then
    2067520873  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
     
    2068120879
    2068220880fi
    20683 if test -z "$ac_cv_path_PKG_CONFIG"; then
    20684   ac_pt_PKG_CONFIG=$PKG_CONFIG
     20881if test -z "$ac_cv_prog_PKG_CONFIG"; then
     20882  ac_ct_PKG_CONFIG=$PKG_CONFIG
    2068520883  # Extract the first word of "pkg-config", so it can be a program name with args.
    2068620884set dummy pkg-config; ac_word=$2
    2068720885echo "$as_me:$LINENO: checking for $ac_word" >&5
    2068820886echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    20689 if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
     20887if test "${ac_cv_prog_ac_ct_PKG_CONFIG+set}" = set; then
    2069020888  echo $ECHO_N "(cached) $ECHO_C" >&6
    2069120889else
    20692   case $ac_pt_PKG_CONFIG in
    20693   [\\/]* | ?:[\\/]*)
    20694   ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
    20695   ;;
    20696   *)
    20697   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     20890  if test -n "$ac_ct_PKG_CONFIG"; then
     20891  ac_cv_prog_ac_ct_PKG_CONFIG="$ac_ct_PKG_CONFIG" # Let the user override the test.
     20892else
     20893as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    2069820894for as_dir in $PATH
    2069920895do
     
    2070220898  for ac_exec_ext in '' $ac_executable_extensions; do
    2070320899  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    20704     ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     20900    ac_cv_prog_ac_ct_PKG_CONFIG="pkg-config"
    2070520901    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    2070620902    break 2
     
    2070920905done
    2071020906
    20711   ;;
    20712 esac
    20713 fi
    20714 ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
    20715 
    20716 if test -n "$ac_pt_PKG_CONFIG"; then
    20717   echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
    20718 echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
     20907fi
     20908fi
     20909ac_ct_PKG_CONFIG=$ac_cv_prog_ac_ct_PKG_CONFIG
     20910if test -n "$ac_ct_PKG_CONFIG"; then
     20911  echo "$as_me:$LINENO: result: $ac_ct_PKG_CONFIG" >&5
     20912echo "${ECHO_T}$ac_ct_PKG_CONFIG" >&6
    2071920913else
    2072020914  echo "$as_me:$LINENO: result: no" >&5
     
    2072220916fi
    2072320917
    20724   PKG_CONFIG=$ac_pt_PKG_CONFIG
    20725 else
    20726   PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
     20918  PKG_CONFIG=$ac_ct_PKG_CONFIG
     20919else
     20920  PKG_CONFIG="$ac_cv_prog_PKG_CONFIG"
    2072720921fi
    2072820922
     
    2073220926    echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
    2073320927echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6
    20734     if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
     20928    if "$PKG_CONFIG" --atleast-pkgconfig-version $_pkg_min_version; then
    2073520929      echo "$as_me:$LINENO: result: yes" >&5
    2073620930echo "${ECHO_T}yes" >&6
     
    2074420938  # check if pkg-config supports the short-errors flag
    2074520939  if test -n "$PKG_CONFIG" && \
    20746     $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
     20940    "$PKG_CONFIG" --atleast-pkgconfig-version 0.20; then
    2074720941    pkg_short_errors=" --short-errors "
    2074820942  else
     
    2096921163
    2097021164if test -n "$PKG_CONFIG" ; then
    20971   if $PKG_CONFIG --exists "cgl osi coinutils"; then
    20972     COINDEPEND_VERSIONS=`$PKG_CONFIG --modversion "cgl osi coinutils" 2>/dev/null | tr '\n' ' '`
    20973      cflags=`$PKG_CONFIG --cflags "cgl osi coinutils" 2>/dev/null`
     21165  if "$PKG_CONFIG" --exists "cgl osi coinutils"; then
     21166    COINDEPEND_VERSIONS=`"$PKG_CONFIG" --modversion "cgl osi coinutils" 2>/dev/null | tr '\n' ' '`
     21167     cflags=`"$PKG_CONFIG" --cflags "cgl osi coinutils" 2>/dev/null`
    2097421168    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2097521169        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2098021174    fi
    2098121175    COINDEPEND_CFLAGS="$cflags"
    20982     COINDEPEND_LIBS=`$PKG_CONFIG --libs "cgl osi coinutils" 2>/dev/null`
    20983     COINDEPEND_DATA=`$PKG_CONFIG --variable=datadir "cgl osi coinutils" 2>/dev/null`
     21176    COINDEPEND_LIBS=`"$PKG_CONFIG" --libs "cgl osi coinutils" 2>/dev/null`
     21177    COINDEPEND_DATA=`"$PKG_CONFIG" --variable=datadir "cgl osi coinutils" 2>/dev/null`
    2098421178     coin_has_coindepend=yes
    2098521179        echo "$as_me:$LINENO: result: yes: $COINDEPEND_VERSIONS" >&5
     
    2100721201
    2100821202  else
    21009     COINDEPEND_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "cgl osi coinutils"`
     21203    COINDEPEND_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "cgl osi coinutils"`
    2101021204      coin_has_coindepend=notGiven
    2101121205        echo "$as_me:$LINENO: result: not given: $COINDEPEND_PKG_ERRORS" >&5
     
    2105321247allpcfiles=""
    2105421248allpcifiles=""
     21249echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     21250echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2105521251while test "x$projtoprocess" != x ; do
    2105621252
     
    2151821714
    2151921715if test -n "$PKG_CONFIG" ; then
    21520   if $PKG_CONFIG --exists "osi-clp"; then
    21521     CLP_VERSIONS=`$PKG_CONFIG --modversion "osi-clp" 2>/dev/null | tr '\n' ' '`
    21522      cflags=`$PKG_CONFIG --cflags "osi-clp" 2>/dev/null`
     21716  if "$PKG_CONFIG" --exists "osi-clp"; then
     21717    CLP_VERSIONS=`"$PKG_CONFIG" --modversion "osi-clp" 2>/dev/null | tr '\n' ' '`
     21718     cflags=`"$PKG_CONFIG" --cflags "osi-clp" 2>/dev/null`
    2152321719    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2152421720        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2152921725    fi
    2153021726    CLP_CFLAGS="$cflags"
    21531     CLP_LIBS=`$PKG_CONFIG --libs "osi-clp" 2>/dev/null`
    21532     CLP_DATA=`$PKG_CONFIG --variable=datadir "osi-clp" 2>/dev/null`
     21727    CLP_LIBS=`"$PKG_CONFIG" --libs "osi-clp" 2>/dev/null`
     21728    CLP_DATA=`"$PKG_CONFIG" --variable=datadir "osi-clp" 2>/dev/null`
    2153321729     coin_has_clp=yes
    2153421730        echo "$as_me:$LINENO: result: yes: $CLP_VERSIONS" >&5
     
    2155621752
    2155721753  else
    21558     CLP_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-clp"`
     21754    CLP_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-clp"`
    2155921755      coin_has_clp=notGiven
    2156021756        echo "$as_me:$LINENO: result: not given: $CLP_PKG_ERRORS" >&5
     
    2160221798allpcfiles=""
    2160321799allpcifiles=""
     21800echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     21801echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2160421802while test "x$projtoprocess" != x ; do
    2160521803
     
    2204522243
    2204622244if test -n "$PKG_CONFIG" ; then
    22047   if $PKG_CONFIG --exists "osi-unittests"; then
    22048     OSITESTS_VERSIONS=`$PKG_CONFIG --modversion "osi-unittests" 2>/dev/null | tr '\n' ' '`
    22049      cflags=`$PKG_CONFIG --cflags "osi-unittests" 2>/dev/null`
     22245  if "$PKG_CONFIG" --exists "osi-unittests"; then
     22246    OSITESTS_VERSIONS=`"$PKG_CONFIG" --modversion "osi-unittests" 2>/dev/null | tr '\n' ' '`
     22247     cflags=`"$PKG_CONFIG" --cflags "osi-unittests" 2>/dev/null`
    2205022248    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2205122249        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2205622254    fi
    2205722255    OSITESTS_CFLAGS="$cflags"
    22058     OSITESTS_LIBS=`$PKG_CONFIG --libs "osi-unittests" 2>/dev/null`
    22059     OSITESTS_DATA=`$PKG_CONFIG --variable=datadir "osi-unittests" 2>/dev/null`
     22256    OSITESTS_LIBS=`"$PKG_CONFIG" --libs "osi-unittests" 2>/dev/null`
     22257    OSITESTS_DATA=`"$PKG_CONFIG" --variable=datadir "osi-unittests" 2>/dev/null`
    2206022258     coin_has_ositests=yes
    2206122259        echo "$as_me:$LINENO: result: yes: $OSITESTS_VERSIONS" >&5
     
    2207522273
    2207622274  else
    22077     OSITESTS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-unittests"`
     22275    OSITESTS_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-unittests"`
    2207822276      coin_has_ositests=notGiven
    2207922277        echo "$as_me:$LINENO: result: not given: $OSITESTS_PKG_ERRORS" >&5
     
    2212122319allpcfiles=""
    2212222320allpcifiles=""
     22321echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     22322echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2212322323while test "x$projtoprocess" != x ; do
    2212422324
     
    2252622726
    2252722727if test -n "$PKG_CONFIG" ; then
    22528   if $PKG_CONFIG --exists "coindatasample"; then
    22529     SAMPLE_VERSIONS=`$PKG_CONFIG --modversion "coindatasample" 2>/dev/null | tr '\n' ' '`
    22530      cflags=`$PKG_CONFIG --cflags "coindatasample" 2>/dev/null`
     22728  if "$PKG_CONFIG" --exists "coindatasample"; then
     22729    SAMPLE_VERSIONS=`"$PKG_CONFIG" --modversion "coindatasample" 2>/dev/null | tr '\n' ' '`
     22730     cflags=`"$PKG_CONFIG" --cflags "coindatasample" 2>/dev/null`
    2253122731    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2253222732        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2253722737    fi
    2253822738    SAMPLE_CFLAGS="$cflags"
    22539     SAMPLE_LIBS=`$PKG_CONFIG --libs "coindatasample" 2>/dev/null`
    22540     SAMPLE_DATA=`$PKG_CONFIG --variable=datadir "coindatasample" 2>/dev/null`
     22739    SAMPLE_LIBS=`"$PKG_CONFIG" --libs "coindatasample" 2>/dev/null`
     22740    SAMPLE_DATA=`"$PKG_CONFIG" --variable=datadir "coindatasample" 2>/dev/null`
    2254122741     coin_has_sample=yes
    2254222742        echo "$as_me:$LINENO: result: yes: $SAMPLE_VERSIONS" >&5
     
    2255622756
    2255722757  else
    22558     SAMPLE_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coindatasample"`
     22758    SAMPLE_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "coindatasample"`
    2255922759      coin_has_sample=notGiven
    2256022760        echo "$as_me:$LINENO: result: not given: $SAMPLE_PKG_ERRORS" >&5
     
    2260222802allpcfiles=""
    2260322803allpcifiles=""
     22804echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     22805echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2260422806while test "x$projtoprocess" != x ; do
    2260522807
     
    2300723209
    2300823210if test -n "$PKG_CONFIG" ; then
    23009   if $PKG_CONFIG --exists "coindatanetlib"; then
    23010     NETLIB_VERSIONS=`$PKG_CONFIG --modversion "coindatanetlib" 2>/dev/null | tr '\n' ' '`
    23011      cflags=`$PKG_CONFIG --cflags "coindatanetlib" 2>/dev/null`
     23211  if "$PKG_CONFIG" --exists "coindatanetlib"; then
     23212    NETLIB_VERSIONS=`"$PKG_CONFIG" --modversion "coindatanetlib" 2>/dev/null | tr '\n' ' '`
     23213     cflags=`"$PKG_CONFIG" --cflags "coindatanetlib" 2>/dev/null`
    2301223214    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2301323215        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2301823220    fi
    2301923221    NETLIB_CFLAGS="$cflags"
    23020     NETLIB_LIBS=`$PKG_CONFIG --libs "coindatanetlib" 2>/dev/null`
    23021     NETLIB_DATA=`$PKG_CONFIG --variable=datadir "coindatanetlib" 2>/dev/null`
     23222    NETLIB_LIBS=`"$PKG_CONFIG" --libs "coindatanetlib" 2>/dev/null`
     23223    NETLIB_DATA=`"$PKG_CONFIG" --variable=datadir "coindatanetlib" 2>/dev/null`
    2302223224     coin_has_netlib=yes
    2302323225        echo "$as_me:$LINENO: result: yes: $NETLIB_VERSIONS" >&5
     
    2303723239
    2303823240  else
    23039     NETLIB_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coindatanetlib"`
     23241    NETLIB_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "coindatanetlib"`
    2304023242      coin_has_netlib=notGiven
    2304123243        echo "$as_me:$LINENO: result: not given: $NETLIB_PKG_ERRORS" >&5
     
    2308323285allpcfiles=""
    2308423286allpcifiles=""
     23287echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     23288echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2308523289while test "x$projtoprocess" != x ; do
    2308623290
     
    2348823692
    2348923693if test -n "$PKG_CONFIG" ; then
    23490   if $PKG_CONFIG --exists "coindatamiplib3"; then
    23491     MIPLIB3_VERSIONS=`$PKG_CONFIG --modversion "coindatamiplib3" 2>/dev/null | tr '\n' ' '`
    23492      cflags=`$PKG_CONFIG --cflags "coindatamiplib3" 2>/dev/null`
     23694  if "$PKG_CONFIG" --exists "coindatamiplib3"; then
     23695    MIPLIB3_VERSIONS=`"$PKG_CONFIG" --modversion "coindatamiplib3" 2>/dev/null | tr '\n' ' '`
     23696     cflags=`"$PKG_CONFIG" --cflags "coindatamiplib3" 2>/dev/null`
    2349323697    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2349423698        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2349923703    fi
    2350023704    MIPLIB3_CFLAGS="$cflags"
    23501     MIPLIB3_LIBS=`$PKG_CONFIG --libs "coindatamiplib3" 2>/dev/null`
    23502     MIPLIB3_DATA=`$PKG_CONFIG --variable=datadir "coindatamiplib3" 2>/dev/null`
     23705    MIPLIB3_LIBS=`"$PKG_CONFIG" --libs "coindatamiplib3" 2>/dev/null`
     23706    MIPLIB3_DATA=`"$PKG_CONFIG" --variable=datadir "coindatamiplib3" 2>/dev/null`
    2350323707     coin_has_miplib3=yes
    2350423708        echo "$as_me:$LINENO: result: yes: $MIPLIB3_VERSIONS" >&5
     
    2351823722
    2351923723  else
    23520     MIPLIB3_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coindatamiplib3"`
     23724    MIPLIB3_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "coindatamiplib3"`
    2352123725      coin_has_miplib3=notGiven
    2352223726        echo "$as_me:$LINENO: result: not given: $MIPLIB3_PKG_ERRORS" >&5
     
    2356423768allpcfiles=""
    2356523769allpcifiles=""
     23770echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     23771echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2356623772while test "x$projtoprocess" != x ; do
    2356723773
     
    2529225498
    2529325499if test -n "$PKG_CONFIG" ; then
    25294   if $PKG_CONFIG --exists "osi-dylp"; then
    25295     DYLP_VERSIONS=`$PKG_CONFIG --modversion "osi-dylp" 2>/dev/null | tr '\n' ' '`
    25296      cflags=`$PKG_CONFIG --cflags "osi-dylp" 2>/dev/null`
     25500  if "$PKG_CONFIG" --exists "osi-dylp"; then
     25501    DYLP_VERSIONS=`"$PKG_CONFIG" --modversion "osi-dylp" 2>/dev/null | tr '\n' ' '`
     25502     cflags=`"$PKG_CONFIG" --cflags "osi-dylp" 2>/dev/null`
    2529725503    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2529825504        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2530325509    fi
    2530425510    DYLP_CFLAGS="$cflags"
    25305     DYLP_LIBS=`$PKG_CONFIG --libs "osi-dylp" 2>/dev/null`
    25306     DYLP_DATA=`$PKG_CONFIG --variable=datadir "osi-dylp" 2>/dev/null`
     25511    DYLP_LIBS=`"$PKG_CONFIG" --libs "osi-dylp" 2>/dev/null`
     25512    DYLP_DATA=`"$PKG_CONFIG" --variable=datadir "osi-dylp" 2>/dev/null`
    2530725513     coin_has_dylp=yes
    2530825514        echo "$as_me:$LINENO: result: yes: $DYLP_VERSIONS" >&5
     
    2532625532
    2532725533  else
    25328     DYLP_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-dylp"`
     25534    DYLP_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-dylp"`
    2532925535      coin_has_dylp=notGiven
    2533025536        echo "$as_me:$LINENO: result: not given: $DYLP_PKG_ERRORS" >&5
     
    2537225578allpcfiles=""
    2537325579allpcifiles=""
     25580echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     25581echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2537425582while test "x$projtoprocess" != x ; do
    2537525583
     
    2579226000
    2579326001if test -n "$PKG_CONFIG" ; then
    25794   if $PKG_CONFIG --exists "osi-vol"; then
    25795     VOL_VERSIONS=`$PKG_CONFIG --modversion "osi-vol" 2>/dev/null | tr '\n' ' '`
    25796      cflags=`$PKG_CONFIG --cflags "osi-vol" 2>/dev/null`
     26002  if "$PKG_CONFIG" --exists "osi-vol"; then
     26003    VOL_VERSIONS=`"$PKG_CONFIG" --modversion "osi-vol" 2>/dev/null | tr '\n' ' '`
     26004     cflags=`"$PKG_CONFIG" --cflags "osi-vol" 2>/dev/null`
    2579726005    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2579826006        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2580326011    fi
    2580426012    VOL_CFLAGS="$cflags"
    25805     VOL_LIBS=`$PKG_CONFIG --libs "osi-vol" 2>/dev/null`
    25806     VOL_DATA=`$PKG_CONFIG --variable=datadir "osi-vol" 2>/dev/null`
     26013    VOL_LIBS=`"$PKG_CONFIG" --libs "osi-vol" 2>/dev/null`
     26014    VOL_DATA=`"$PKG_CONFIG" --variable=datadir "osi-vol" 2>/dev/null`
    2580726015     coin_has_vol=yes
    2580826016        echo "$as_me:$LINENO: result: yes: $VOL_VERSIONS" >&5
     
    2582226030
    2582326031  else
    25824     VOL_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-vol"`
     26032    VOL_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-vol"`
    2582526033      coin_has_vol=notGiven
    2582626034        echo "$as_me:$LINENO: result: not given: $VOL_PKG_ERRORS" >&5
     
    2586826076allpcfiles=""
    2586926077allpcifiles=""
     26078echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     26079echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2587026080while test "x$projtoprocess" != x ; do
    2587126081
     
    2629526505
    2629626506if test -n "$PKG_CONFIG" ; then
    26297   if $PKG_CONFIG --exists "osi-cplex"; then
    26298     CPX_VERSIONS=`$PKG_CONFIG --modversion "osi-cplex" 2>/dev/null | tr '\n' ' '`
    26299      cflags=`$PKG_CONFIG --cflags "osi-cplex" 2>/dev/null`
     26507  if "$PKG_CONFIG" --exists "osi-cplex"; then
     26508    CPX_VERSIONS=`"$PKG_CONFIG" --modversion "osi-cplex" 2>/dev/null | tr '\n' ' '`
     26509     cflags=`"$PKG_CONFIG" --cflags "osi-cplex" 2>/dev/null`
    2630026510    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2630126511        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2630626516    fi
    2630726517    CPX_CFLAGS="$cflags"
    26308     CPX_LIBS=`$PKG_CONFIG --libs "osi-cplex" 2>/dev/null`
    26309     CPX_DATA=`$PKG_CONFIG --variable=datadir "osi-cplex" 2>/dev/null`
     26518    CPX_LIBS=`"$PKG_CONFIG" --libs "osi-cplex" 2>/dev/null`
     26519    CPX_DATA=`"$PKG_CONFIG" --variable=datadir "osi-cplex" 2>/dev/null`
    2631026520     coin_has_cpx=yes
    2631126521        echo "$as_me:$LINENO: result: yes: $CPX_VERSIONS" >&5
     
    2633326543
    2633426544  else
    26335     CPX_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-cplex"`
     26545    CPX_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-cplex"`
    2633626546      coin_has_cpx=notGiven
    2633726547        echo "$as_me:$LINENO: result: not given: $CPX_PKG_ERRORS" >&5
     
    2637926589allpcfiles=""
    2638026590allpcifiles=""
     26591echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     26592echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2638126593while test "x$projtoprocess" != x ; do
    2638226594
     
    2682527037
    2682627038if test -n "$PKG_CONFIG" ; then
    26827   if $PKG_CONFIG --exists "osi-glpk"; then
    26828     GLPK_VERSIONS=`$PKG_CONFIG --modversion "osi-glpk" 2>/dev/null | tr '\n' ' '`
    26829      cflags=`$PKG_CONFIG --cflags "osi-glpk" 2>/dev/null`
     27039  if "$PKG_CONFIG" --exists "osi-glpk"; then
     27040    GLPK_VERSIONS=`"$PKG_CONFIG" --modversion "osi-glpk" 2>/dev/null | tr '\n' ' '`
     27041     cflags=`"$PKG_CONFIG" --cflags "osi-glpk" 2>/dev/null`
    2683027042    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2683127043        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2683627048    fi
    2683727049    GLPK_CFLAGS="$cflags"
    26838     GLPK_LIBS=`$PKG_CONFIG --libs "osi-glpk" 2>/dev/null`
    26839     GLPK_DATA=`$PKG_CONFIG --variable=datadir "osi-glpk" 2>/dev/null`
     27050    GLPK_LIBS=`"$PKG_CONFIG" --libs "osi-glpk" 2>/dev/null`
     27051    GLPK_DATA=`"$PKG_CONFIG" --variable=datadir "osi-glpk" 2>/dev/null`
    2684027052     coin_has_glpk=yes
    2684127053        echo "$as_me:$LINENO: result: yes: $GLPK_VERSIONS" >&5
     
    2685927071
    2686027072  else
    26861     GLPK_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-glpk"`
     27073    GLPK_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-glpk"`
    2686227074      coin_has_glpk=notGiven
    2686327075        echo "$as_me:$LINENO: result: not given: $GLPK_PKG_ERRORS" >&5
     
    2690527117allpcfiles=""
    2690627118allpcifiles=""
     27119echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     27120echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2690727121while test "x$projtoprocess" != x ; do
    2690827122
     
    2732527539
    2732627540if test -n "$PKG_CONFIG" ; then
    27327   if $PKG_CONFIG --exists "osi-gurobi"; then
    27328     GRB_VERSIONS=`$PKG_CONFIG --modversion "osi-gurobi" 2>/dev/null | tr '\n' ' '`
    27329      cflags=`$PKG_CONFIG --cflags "osi-gurobi" 2>/dev/null`
     27541  if "$PKG_CONFIG" --exists "osi-gurobi"; then
     27542    GRB_VERSIONS=`"$PKG_CONFIG" --modversion "osi-gurobi" 2>/dev/null | tr '\n' ' '`
     27543     cflags=`"$PKG_CONFIG" --cflags "osi-gurobi" 2>/dev/null`
    2733027544    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2733127545        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2733627550    fi
    2733727551    GRB_CFLAGS="$cflags"
    27338     GRB_LIBS=`$PKG_CONFIG --libs "osi-gurobi" 2>/dev/null`
    27339     GRB_DATA=`$PKG_CONFIG --variable=datadir "osi-gurobi" 2>/dev/null`
     27552    GRB_LIBS=`"$PKG_CONFIG" --libs "osi-gurobi" 2>/dev/null`
     27553    GRB_DATA=`"$PKG_CONFIG" --variable=datadir "osi-gurobi" 2>/dev/null`
    2734027554     coin_has_grb=yes
    2734127555        echo "$as_me:$LINENO: result: yes: $GRB_VERSIONS" >&5
     
    2735527569
    2735627570  else
    27357     GRB_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-gurobi"`
     27571    GRB_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-gurobi"`
    2735827572      coin_has_grb=notGiven
    2735927573        echo "$as_me:$LINENO: result: not given: $GRB_PKG_ERRORS" >&5
     
    2740127615allpcfiles=""
    2740227616allpcifiles=""
     27617echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     27618echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2740327619while test "x$projtoprocess" != x ; do
    2740427620
     
    2781728033
    2781828034if test -n "$PKG_CONFIG" ; then
    27819   if $PKG_CONFIG --exists "osi-mosek"; then
    27820     MSK_VERSIONS=`$PKG_CONFIG --modversion "osi-mosek" 2>/dev/null | tr '\n' ' '`
    27821      cflags=`$PKG_CONFIG --cflags "osi-mosek" 2>/dev/null`
     28035  if "$PKG_CONFIG" --exists "osi-mosek"; then
     28036    MSK_VERSIONS=`"$PKG_CONFIG" --modversion "osi-mosek" 2>/dev/null | tr '\n' ' '`
     28037     cflags=`"$PKG_CONFIG" --cflags "osi-mosek" 2>/dev/null`
    2782228038    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2782328039        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2782828044    fi
    2782928045    MSK_CFLAGS="$cflags"
    27830     MSK_LIBS=`$PKG_CONFIG --libs "osi-mosek" 2>/dev/null`
    27831     MSK_DATA=`$PKG_CONFIG --variable=datadir "osi-mosek" 2>/dev/null`
     28046    MSK_LIBS=`"$PKG_CONFIG" --libs "osi-mosek" 2>/dev/null`
     28047    MSK_DATA=`"$PKG_CONFIG" --variable=datadir "osi-mosek" 2>/dev/null`
    2783228048     coin_has_msk=yes
    2783328049        echo "$as_me:$LINENO: result: yes: $MSK_VERSIONS" >&5
     
    2785128067
    2785228068  else
    27853     MSK_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-mosek"`
     28069    MSK_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-mosek"`
    2785428070      coin_has_msk=notGiven
    2785528071        echo "$as_me:$LINENO: result: not given: $MSK_PKG_ERRORS" >&5
     
    2789728113allpcfiles=""
    2789828114allpcifiles=""
     28115echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     28116echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2789928117while test "x$projtoprocess" != x ; do
    2790028118
     
    2832828546
    2832928547if test -n "$PKG_CONFIG" ; then
    28330   if $PKG_CONFIG --exists "osi-soplex"; then
    28331     SPX_VERSIONS=`$PKG_CONFIG --modversion "osi-soplex" 2>/dev/null | tr '\n' ' '`
    28332      cflags=`$PKG_CONFIG --cflags "osi-soplex" 2>/dev/null`
     28548  if "$PKG_CONFIG" --exists "osi-soplex"; then
     28549    SPX_VERSIONS=`"$PKG_CONFIG" --modversion "osi-soplex" 2>/dev/null | tr '\n' ' '`
     28550     cflags=`"$PKG_CONFIG" --cflags "osi-soplex" 2>/dev/null`
    2833328551    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2833428552        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2833928557    fi
    2834028558    SPX_CFLAGS="$cflags"
    28341     SPX_LIBS=`$PKG_CONFIG --libs "osi-soplex" 2>/dev/null`
    28342     SPX_DATA=`$PKG_CONFIG --variable=datadir "osi-soplex" 2>/dev/null`
     28559    SPX_LIBS=`"$PKG_CONFIG" --libs "osi-soplex" 2>/dev/null`
     28560    SPX_DATA=`"$PKG_CONFIG" --variable=datadir "osi-soplex" 2>/dev/null`
    2834328561     coin_has_spx=yes
    2834428562        echo "$as_me:$LINENO: result: yes: $SPX_VERSIONS" >&5
     
    2836228580
    2836328581  else
    28364     SPX_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-soplex"`
     28582    SPX_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-soplex"`
    2836528583      coin_has_spx=notGiven
    2836628584        echo "$as_me:$LINENO: result: not given: $SPX_PKG_ERRORS" >&5
     
    2840828626allpcfiles=""
    2840928627allpcifiles=""
     28628echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     28629echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2841028630while test "x$projtoprocess" != x ; do
    2841128631
     
    2882829048
    2882929049if test -n "$PKG_CONFIG" ; then
    28830   if $PKG_CONFIG --exists "osi-xpress"; then
    28831     XPR_VERSIONS=`$PKG_CONFIG --modversion "osi-xpress" 2>/dev/null | tr '\n' ' '`
    28832      cflags=`$PKG_CONFIG --cflags "osi-xpress" 2>/dev/null`
     29050  if "$PKG_CONFIG" --exists "osi-xpress"; then
     29051    XPR_VERSIONS=`"$PKG_CONFIG" --modversion "osi-xpress" 2>/dev/null | tr '\n' ' '`
     29052     cflags=`"$PKG_CONFIG" --cflags "osi-xpress" 2>/dev/null`
    2883329053    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2883429054        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2883929059    fi
    2884029060    XPR_CFLAGS="$cflags"
    28841     XPR_LIBS=`$PKG_CONFIG --libs "osi-xpress" 2>/dev/null`
    28842     XPR_DATA=`$PKG_CONFIG --variable=datadir "osi-xpress" 2>/dev/null`
     29061    XPR_LIBS=`"$PKG_CONFIG" --libs "osi-xpress" 2>/dev/null`
     29062    XPR_DATA=`"$PKG_CONFIG" --variable=datadir "osi-xpress" 2>/dev/null`
    2884329063     coin_has_xpr=yes
    2884429064        echo "$as_me:$LINENO: result: yes: $XPR_VERSIONS" >&5
     
    2885829078
    2885929079  else
    28860     XPR_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-xpress"`
     29080    XPR_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-xpress"`
    2886129081      coin_has_xpr=notGiven
    2886229082        echo "$as_me:$LINENO: result: not given: $XPR_PKG_ERRORS" >&5
     
    2890429124allpcfiles=""
    2890529125allpcifiles=""
     29126echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     29127echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2890629128while test "x$projtoprocess" != x ; do
    2890729129
     
    2933729559
    2933829560if test -n "$PKG_CONFIG" ; then
    29339   if $PKG_CONFIG --exists "coinasl"; then
    29340     ASL_VERSIONS=`$PKG_CONFIG --modversion "coinasl" 2>/dev/null | tr '\n' ' '`
    29341      cflags=`$PKG_CONFIG --cflags "coinasl" 2>/dev/null`
     29561  if "$PKG_CONFIG" --exists "coinasl"; then
     29562    ASL_VERSIONS=`"$PKG_CONFIG" --modversion "coinasl" 2>/dev/null | tr '\n' ' '`
     29563     cflags=`"$PKG_CONFIG" --cflags "coinasl" 2>/dev/null`
    2934229564    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2934329565        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2934829570    fi
    2934929571    ASL_CFLAGS="$cflags"
    29350     ASL_LIBS=`$PKG_CONFIG --libs "coinasl" 2>/dev/null`
    29351     ASL_DATA=`$PKG_CONFIG --variable=datadir "coinasl" 2>/dev/null`
     29572    ASL_LIBS=`"$PKG_CONFIG" --libs "coinasl" 2>/dev/null`
     29573    ASL_DATA=`"$PKG_CONFIG" --variable=datadir "coinasl" 2>/dev/null`
    2935229574     coin_has_asl=yes
    2935329575        echo "$as_me:$LINENO: result: yes: $ASL_VERSIONS" >&5
     
    2937529597
    2937629598  else
    29377     ASL_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinasl"`
     29599    ASL_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "coinasl"`
    2937829600      coin_has_asl=notGiven
    2937929601        echo "$as_me:$LINENO: result: not given: $ASL_PKG_ERRORS" >&5
     
    2942129643allpcfiles=""
    2942229644allpcifiles=""
     29645echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     29646echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2942329647while test "x$projtoprocess" != x ; do
    2942429648
     
    3163731861s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    3163831862s,@PKG_CONFIG@,$PKG_CONFIG,;t t
    31639 s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
     31863s,@ac_ct_PKG_CONFIG@,$ac_ct_PKG_CONFIG,;t t
    3164031864s,@COIN_HAS_PKGCONFIG_TRUE@,$COIN_HAS_PKGCONFIG_TRUE,;t t
    3164131865s,@COIN_HAS_PKGCONFIG_FALSE@,$COIN_HAS_PKGCONFIG_FALSE,;t t
Note: See TracChangeset for help on using the changeset viewer.